## com.arsdigita.cms.docmgr.ui.content
Class DocFolderNavbar

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.cms.docmgr.ui.content.DocFolderNavbar

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.util.Lockable

public class DocFolderNavbar
extends com.arsdigita.bebop.SimpleComponent

Field Summary

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr, versionId`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`DocFolderNavbar()`

Method Summary
`void` `generateXML(com.arsdigita.bebop.PageState state, com.arsdigita.xml.Element p)`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`children, clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, lock, register, register, respond, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocFolderNavbar

    public DocFolderNavbar()

Method Detail

### generateXML

    public void generateXML(com.arsdigita.bebop.PageState state,
                            com.arsdigita.xml.Element p)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC